## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name opensearch-py

Name:           python-%{pypi_name}
Version:        2.8.0
Release:        %autorelease
Summary:        Python low-level client for OpenSearch

License:        Apache-2.0
URL:            https://github.com/opensearch-project/%{pypi_name}
Source0:        %{pypi_source opensearch_py}
BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
opensearch-py is a community-driven, open source OpenSearch client
licensed under the Apache v2.0 License. 
For more information, see opensearch.org.}

%description %_description

%pyproject_extras_subpkg -n python3-opensearch-py async kerberos

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -n opensearch_py-%{version}

# certfi is patched to use fedora CERTs anyway so version kind of irrelevent.
sed -i 's/"certifi>=.*"/"certifi"/' setup.py
# relax urllib, requests versions
sed -i 's/urllib3>=1.26.19,<1.27/urllib3/' setup.py
sed -i 's/requests>=2.32.0, <3.0.0/requests/' setup.py


%generate_buildrequires
%pyproject_buildrequires -x async -x kerberos


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files opensearchpy


%check
%pyproject_check_import -e opensearchpy.helpers.test


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri Dec 13 2024 Steve Traylen <steve.traylen@cern.ch> - 2.8.0-1
- To upstream 2.8.0

* Fri Sep 30 2022 Steve Traylen <steve.traylen@cern.ch> - 2.0.0-1
- Upgrade to version 2.0.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.0.0-4
- Rebuilt for Python 3.11

* Wed Feb 9 2022 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-3
- Migrate to pyproject macros

* Thu Dec 9 2021 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-2
- Review corrections rhbz#2016597

* Fri Oct 22 2021 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-1
- Initial package.

## END: Generated by rpmautospec
